unit Testmon;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, Winmon, StdCtrls;

type
  TfrmTestMon = class(TForm)
    grpAction: TGroupBox;
    grpToggle: TGroupBox;
    btnWriteString: TButton;
    btnWriteInt: TButton;
    btnWriteReal: TButton;
    btnWriteLong: TButton;
    btnDumpPtr: TButton;
    btnClear: TButton;
    btnPauseOn: TButton;
    btnTimeStampOn: TButton;
    btnOnTopOn: TButton;
    btnPauseOff: TButton;
    btnTimeStampOff: TButton;
    btnOnTopOff: TButton;
    btnExit: TButton;
    procedure btnWriteStringClick(Sender: TObject);
    procedure btnWriteIntClick(Sender: TObject);
    procedure btnWriteRealClick(Sender: TObject);
    procedure btnWriteLongClick(Sender: TObject);
    procedure btnDumpPtrClick(Sender: TObject);
    procedure btnClearClick(Sender: TObject);
    procedure btnPauseOnClick(Sender: TObject);
    procedure btnPauseOffClick(Sender: TObject);
    procedure btnTimeStampOnClick(Sender: TObject);
    procedure btnTimeStampOffClick(Sender: TObject);
    procedure btnOnTopOnClick(Sender: TObject);
    procedure btnOnTopOffClick(Sender: TObject);
    procedure btnExitClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmTestMon: TfrmTestMon;

implementation

{$R *.DFM}

procedure TfrmTestMon.btnWriteStringClick(Sender: TObject);
var i : integer;
begin
     i := WINMON_WriteLnString( 'Testing string substution [%s]', 'a string' );
end;

procedure TfrmTestMon.btnWriteIntClick(Sender: TObject);
var i : integer;
begin
     i := WINMON_WriteLnUInt('Testing integer substitution [%d] and as hex [%xH]', 21052);
end;

procedure TfrmTestMon.btnWriteRealClick(Sender: TObject);
var i : integer;
begin
     i := WINMON_WriteLnDouble('The value of pi is %02.4f', 3.14159);
end;

procedure TfrmTestMon.btnWriteLongClick(Sender: TObject);
var i : integer;
begin
     i := WINMON_WriteLnULong('Testing long integer substitution [%ld]', 8273884);
end;

procedure TfrmTestMon.btnDumpPtrClick(Sender: TObject);
begin
     WINMON_DumpPointer(TfrmTestMon, 32);
end;

procedure TfrmTestMon.btnClearClick(Sender: TObject);
begin
     WINMON_vClear;
end;

procedure TfrmTestMon.btnPauseOnClick(Sender: TObject);
var i : Boolean;
begin
     i := WINMON_bPause(True);
end;

procedure TfrmTestMon.btnPauseOffClick(Sender: TObject);
var i : Boolean;
begin
     i := WINMON_bPause(False);
end;

procedure TfrmTestMon.btnTimeStampOnClick(Sender: TObject);
var i : Boolean;
begin
     i := WINMON_bTimeStamp(True);
end;

procedure TfrmTestMon.btnTimeStampOffClick(Sender: TObject);
var i : Boolean;
begin
     i := WINMON_bTimeStamp(False);
end;

procedure TfrmTestMon.btnOnTopOnClick(Sender: TObject);
var i : Boolean;
begin
     i:= WINMON_bStayOnTop(True);
end;

procedure TfrmTestMon.btnOnTopOffClick(Sender: TObject);
var i : Boolean;
begin
     i:= WINMON_bStayOnTop(False);
end;

procedure TfrmTestMon.btnExitClick(Sender: TObject);
begin
     Application.Terminate;
end;

end.
